Subject: Re: [bug#42261] [PATCH 1/4] gnu: Add ganeti.
From: Marius Bakke <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Jul 2020 22:36:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

>> I haven't dared submitting 'disable-version-symlinks.patch' yet,
>> mainly because I struggled to find a clean way to conditionally
>> override Automake variables, ref
>> <https://lists.gnu.org/archive/html/automake/2020-06/msg00000.html>
>>
>> (there is a reply from Karl Berry in 2020-07)
>
> I think another option would be something like this (beware!):
>
>   pkglibdir =
>   if USE_VERSION_LINKS
>   pkglibdir += foo
>   else
>   pkglibdir += bar
>   endif

That's clever, but unfortunately did not work because the += adds an
extra whitespace between entries.  So in this case $(pkglibdir) would
expand to ' bar', which may or may not work depending on whether the
usage is quoted.  For things like $(bindir), install-binSCRIPTS
unfortunately quotes the entries.  Tricky stuff!

>>> Apart from that, on a cursory look it LGTM!
>>
>> Awesome, I was able to do some more testing today and expect to push
>> this in a couple of days.
>
> Yay!

I've made lots of tweaks recently, such as adding default hooks for
debootstrap so that basic things work out of the box.  Finally pushed
now, and I intend to publish the blog post tomorrow.

One step closer to worl^W datacenter domination.  \o/